-- vi:ft=lua
-- configuration file for io

local hw = Io.system_bus()

local bus = Io.Vi.System_bus
{
  CPM = wrap(hw:match("jz4780-cpm"));
  GPIO = wrap(hw:match("jz4780-gpio"));
  I2C = wrap(hw:match("jz4780-i2c"));
  RTC = wrap(hw:match("jz4780-rtc"));
}

Io.add_vbus("common", bus)
